CMSTypedStream (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms

## Class CMSTypedStream

- java.lang.Object
- - org.bouncycastle.cms.CMSTypedStream

- Direct Known Subclasses:
    PKCS7TypedStream

      public class CMSTypedStream
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.io.InputStream` | `_in`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CMSTypedStream(org.bouncycastle.asn1.ASN1ObjectIdentifier oid)`
    `` | `CMSTypedStream(org.bouncycastle.asn1.ASN1ObjectIdentifier oid, java.io.InputStream in)`
    `` | `CMSTypedStream(org.bouncycastle.asn1.ASN1ObjectIdentifier oid, java.io.InputStream in, int bufSize)`
    `` | `CMSTypedStream(java.io.InputStream in)`
    `` | `CMSTypedStream(java.lang.String oid, java.io.InputStream in)`
    `` | `CMSTypedStream(java.lang.String oid, java.io.InputStream in, int bufSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drain()`
    `java.io.InputStream` | `getContentStream()`
    `org.bouncycastle.asn1.ASN1ObjectIdentifier` | `getContentType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _in

          protected java.io.InputStream _in

  - ### Constructor Detail

    - #### CMSTypedStream

          public CMSTypedStream(java.io.InputStream in)

    - #### CMSTypedStream

          public CMSTypedStream(java.lang.String oid,
                        java.io.InputStream in)

    - #### CMSTypedStream

          public CMSTypedStream(java.lang.String oid,
                        java.io.InputStream in,
                        int bufSize)

    - #### CMSTypedStream

          public CMSTypedStream(org.bouncycastle.asn1.ASN1ObjectIdentifier oid,
                        java.io.InputStream in)

    - #### CMSTypedStream

          public CMSTypedStream(org.bouncycastle.asn1.ASN1ObjectIdentifier oid,
                        java.io.InputStream in,
                        int bufSize)

    - #### CMSTypedStream

          protected CMSTypedStream(org.bouncycastle.asn1.ASN1ObjectIdentifier oid)

  - ### Method Detail

    - #### getContentType

          public org.bouncycastle.asn1.ASN1ObjectIdentifier getContentType()

    - #### getContentStream

          public java.io.InputStream getContentStream()

    - #### drain

          public void drain()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`